summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeremy Allison <jra@samba.org>2001-10-11 21:43:00 +0000
committerJeremy Allison <jra@samba.org>2001-10-11 21:43:00 +0000
commita569d5a581065d3ccafdf145c79ba7b622951329 (patch)
tree2f01fefc95613a16a6d114534c99f83fa14c2116
parentc273169841a960f4a0e62aa1fb4bb87431f1f11d (diff)
downloadsamba-a569d5a581065d3ccafdf145c79ba7b622951329.tar.gz
Packaging complete, only testsuite left.
Jeremy
-rwxr-xr-xpackaging/SGI/idb.pl34
-rwxr-xr-xpackaging/SGI/mkman2
-rwxr-xr-xpackaging/SGI/mkrelease.sh22
-rw-r--r--packaging/Solaris/prototype.master6
-rwxr-xr-xpackaging/bin/update-pkginfo5
-rw-r--r--pcp/README13
6 files changed, 64 insertions, 18 deletions
diff --git a/packaging/SGI/idb.pl b/packaging/SGI/idb.pl
index b3e2aaf9918..d1d8245f454 100755
--- a/packaging/SGI/idb.pl
+++ b/packaging/SGI/idb.pl
@@ -36,6 +36,10 @@ close IGNORES;
# get the names of all the binary files to be installed
open(MAKEFILE,"$SRCDIR/source/Makefile") || die "Unable to open Makefile\n";
@makefile = <MAKEFILE>;
+@winbind_progs = grep(/^WINBIND_PROGS /,@makefile);
+@winbind_sprogs = grep(/^WINBIND_SPROGS /,@makefile);
+@winbind_lprogs = grep(/^WINBIND_LPROGS /,@makefile);
+@winbind_pam_progs = grep(/^WINBIND_PAM_PROGS /,@makefile);
@sprogs = grep(/^SPROGS /,@makefile);
@progs1 = grep(/^PROGS1 /,@makefile);
@progs2 = grep(/^PROGS2 /,@makefile);
@@ -45,8 +49,25 @@ open(MAKEFILE,"$SRCDIR/source/Makefile") || die "Unable to open Makefile\n";
@codepagelist = grep(/^CODEPAGELIST/,@makefile);
close MAKEFILE;
+if (@winbind_progs) {
+ @winbind_progs[0] =~ s/^.*\=//;
+ @winbind_progs = split(' ',@winbind_progs[0]);
+}
+if (@winbind_sprogs) {
+ @winbind_sprogs[0] =~ s/^.*\=//;
+ @winbind_sprogs = split(' ',@winbind_sprogs[0]);
+}
+if (@winbind_lprogs) {
+ @winbind_lprogs[0] =~ s/^.*\=//;
+ @winbind_lprogs = split(' ',@winbind_lprogs[0]);
+}
+if (@winbind_pam_progs) {
+ @winbind_pam_progs[0] =~ s/^.*\=//;
+ @winbind_pam_progs = split(' ',@winbind_pam_progs[0]);
+}
if (@sprogs) {
@sprogs[0] =~ s/^.*\=//;
+ @sprogs[0] =~ s/\$\(\S+\)\s//g;
@sprogs = split(' ',@sprogs[0]);
}
if (@progs) {
@@ -90,7 +111,8 @@ system("cp -f ../swat/README ../packaging/SGI/swat");
chdir $curdir;
# add my local files to the list of binaries to install
-@bins = sort byfilename (@sprogs,@progs,@progs1,@progs2,@mprogs,@scripts,("/findsmb","/sambalp","/smbprint"));
+@bins = sort byfilename (@sprogs,@progs,@progs1,@progs2,@mprogs,@scripts,@winbind_progs,@winbind_sprogs,("/findsmb","/sambalp","/smbprint"));
+@nsswitch = sort byfilename (@winbind_lprogs,@winbind_pam_progs);
# get a complete list of all files in the tree
chdir "$SRCDIR/";
@@ -158,6 +180,7 @@ while(@bins) {
}
elsif ($filename eq "smbd") {
print IDB "f 0755 root sys usr/samba/bin/$filename $SRCPFX/source/$nextfile $PKG.sw.base \n";
+ print IDB "f 0755 root sys usr/samba/bin/$filename.noquota $SRCPFX/source/$nextfile.noquota $PKG.sw.base \n";
print IDB "f 0755 root sys usr/samba/bin/$filename.profile $SRCPFX/source/$nextfile.profile $PKG.sw.base \n";
}
elsif ($filename eq "nmbd") {
@@ -193,6 +216,15 @@ while (@codepage) {
}
print IDB "f 0644 root sys usr/samba/lib/smb.conf $SRCPFX/packaging/SGI/smb.conf $PKG.sw.base config(suggest)\n";
+if (@nsswitch) {
+ print IDB "d 0644 root sys usr/samba/nsswitch $SRCPFX/packaging/SGI $PKG.sw.base\n";
+ while(@nsswitch) {
+ $nextfile = shift @nsswitch;
+ ($filename = $nextfile) =~ s/^.*\///;;
+ print IDB "f 0755 root sys usr/samba/nsswitch/$filename $SRCPFX/source/$nextfile $PKG.sw.base \n";
+ }
+}
+
print IDB "d 0644 root sys usr/samba/private $SRCPFX/packaging/SGI $PKG.sw.base\n";
print IDB "f 0600 root sys usr/samba/private/smbpasswd $SRCPFX/packaging/SGI/smbpasswd $PKG.sw.base config(suggest)\n";
diff --git a/packaging/SGI/mkman b/packaging/SGI/mkman
index a39ed9fdd0c..713ae636705 100755
--- a/packaging/SGI/mkman
+++ b/packaging/SGI/mkman
@@ -12,6 +12,8 @@ for FILE in $FILES ; do
if [ "$FILE" = "smbmnt.8" ]; then continue; fi;
if [ "$FILE" = "smbmount.8" -o "$FILE" = "smbumount.8" ]; then continue; fi;
if [ "$FILE" = "smbrun.1" ]; then continue; fi;
+ if [ "$FILE" = "wbinfo.1" ]; then continue; fi;
+ if [ "$FILE" = "winbindd.8" ]; then continue; fi;
neqn $FILE | tbl | nroff -man > ../../packaging/SGI/catman/`basename $FILE`
pack -f ../../packaging/SGI/catman/`basename $FILE`
done
diff --git a/packaging/SGI/mkrelease.sh b/packaging/SGI/mkrelease.sh
index 14d25035cb4..a5d4aa4259d 100755
--- a/packaging/SGI/mkrelease.sh
+++ b/packaging/SGI/mkrelease.sh
@@ -7,8 +7,8 @@
# You can specify clean to do a make clean before building. Make clean
# will also run configure and generate the required Makefile.
#
-# You can specify which targets to build. If targets are specified, the
-# specified targets will be built but inst packages will not be generated.
+# This will build an smbd.noquota, smbd.profile, nmbd.profile and the
+# entire package with quota support and acl support.
doclean=""
SGI_ABI=-n32
@@ -31,6 +31,7 @@ if [ "$doclean" = "clean" ]; then
if [ -f Makefile ]; then
make distclean
fi
+ rm -rf bin/*.profile bin/*.noquota
cd ../packaging/SGI
rm -rf bins catman html codepages swat samba.idb samba.spec
fi
@@ -50,7 +51,7 @@ fi
cd ../../source
if [ "$doclean" = "clean" ]; then
echo Create SGI specific Makefile
- ./configure --prefix=/usr/samba --mandir=/usr/share/catman --with-acl-support --with-smbwrapper
+ ./configure --prefix=/usr/samba --sbindir='${exec_prefix}/bin' --mandir=/usr/share/catman --with-acl-support --with-quotas --with-smbwrapper
errstat=$?
if [ $errstat -ne 0 ]; then
echo "Error $errstat creating Makefile\n";
@@ -64,6 +65,14 @@ fi
echo Making binaries
make clean
+make "CFLAGS=-O -g3 QUOTAOBJS=smbd/noquotas.o -D WITH_PROFILE" CHECK bin/smbd
+errstat=$?
+if [ $errstat -ne 0 ]; then
+ echo "Error $errstat building profile sources\n";
+ exit $errstat;
+fi
+mv bin/smbd bin/smbd.noquota
+make clean
make "CFLAGS=-O -g3 -D WITH_PROFILE" CHECK bin/smbd bin/nmbd
errstat=$?
if [ $errstat -ne 0 ]; then
@@ -82,13 +91,6 @@ fi
cd ../packaging/SGI
-#
-# Don't generate packages if targets were specified
-#
-if [ "$1" != "" ]; then
- exit 0;
-fi
-
# generate the packages
#
echo Generating Inst Packages
diff --git a/packaging/Solaris/prototype.master b/packaging/Solaris/prototype.master
index bfcb3e00492..423462f7da6 100644
--- a/packaging/Solaris/prototype.master
+++ b/packaging/Solaris/prototype.master
@@ -8,7 +8,6 @@
i pkginfo=./pkginfo
i copyright=./copyright
i request=./request
-i checkinstall
i preremove=./preremove
i postinstall=./postinstall
i i.swat=./i.swat
@@ -31,7 +30,7 @@ e swat /etc/inet/inetd.conf=packaging/Solaris/inetd.conf ? ? ?
# Create the samba subtree. (Usually /usr/local/samba )
#
d none samba 0755 root other
-d none samba/var 0755 root other
+d none samba/var 0700 root other
d none samba/bin 0755 root other
d none samba/lib 0755 root other
d none samba/docs 0755 root other
@@ -40,10 +39,13 @@ d none samba/docs 0755 root other
#
f none samba/lib/smb.conf.example=examples/smb.conf.default 0644 root other
d none samba/lib/regeditscripts 0755 root other
+f none samba/lib/regeditscripts/NT4-Locking.reg=docs/NT4-Locking.reg 0444 root other
f none samba/lib/regeditscripts/NT4_PlainPassword.reg=docs/NT4_PlainPassword.reg 0444 root other
f none samba/lib/regeditscripts/Win95_PlainPassword.reg=docs/Win95_PlainPassword.reg 0444 root other
f none samba/lib/regeditscripts/Win98_PlainPassword.reg=docs/Win98_PlainPassword.reg 0444 root other
+f none samba/lib/regeditscripts/Win9X-CacheHandling.reg=docs/Win9X-CacheHandling.reg 0444 root other
f none samba/lib/regeditscripts/Win2000_PlainPassword.reg=docs/Win2000_PlainPassword.reg 0444 root other
+f none samba/lib/regeditscripts/WindowsTerminalServer.reg=docs/WindowsTerminalServer.reg 0444 root other
#
# Random files
f none samba/docs/Samba-HOWTO-Collection.pdf=docs/Samba-HOWTO-Collection.pdf 0644 root other
diff --git a/packaging/bin/update-pkginfo b/packaging/bin/update-pkginfo
index fab56daebf8..8432173cc88 100755
--- a/packaging/bin/update-pkginfo
+++ b/packaging/bin/update-pkginfo
@@ -3,6 +3,11 @@
VERSION=$1
RELEASE=$2
+if [ $# -ne 2 ]; then
+ echo Usage: update-pkginfo VERSION RELEASE
+ exit 1
+fi
+
for f in */*/*.tmpl; do
f2=`echo $f | sed s/.tmpl//g`
echo $f2
diff --git a/pcp/README b/pcp/README
index 97d8125a53e..5a58626a97b 100644
--- a/pcp/README
+++ b/pcp/README
@@ -3,7 +3,7 @@ samba PMDA
This PMDA is a sample that illustrates how a simple samba monitor
PMDA might be constructed, using a shared memory segment to transfer
-information about transaction activity from the smb daemon.
+information about transaction activity from the smb and nmbd daemons.
Note:
This PMDA may be remade from source and hence requires
@@ -77,11 +77,14 @@ De-installation
Making something happen
=======================
-The application "smbd" updates the shared memory segment to add
-profile information about smbd. By default updating is disabled.
+Samba must have been compiled with profiling data collection enabled.
+Use the --with-profiling-data option for configure to enable this feature.
+
+The applications "nmbd" and "smbd" update the shared memory segment to add
+profile information about nmbd and smbd. By default updating is disabled.
To start updating of the shared memory segment you need to run the
-smbcontrol command to turn on profiling for one or more smbd processes
-(see the man page for smbcontrol).
+smbcontrol command to turn on profiling for nmbd or one or more smbd
+processes (see the man page for smbcontrol).